<button mat-icon-button [matMenuTriggerFor]="menu">
  <mat-icon>more_horiz</mat-icon>
</button>
<mat-menu #menu="matMenu">
  <button mat-menu-item *ngFor="let item of items" (click)="emit(item)">
    <mat-icon>{{item.icon}}</mat-icon>
    <span>{{item.name}}</span>
  </button>
</mat-menu>